hanno 08/05/19 00:21:18
Modified: ChangeLog skencil-0.6.18_pre20070421.ebuild
skencil-0.6.17.ebuild
Added: skencil-0.6.18_pre20080519.ebuild
Log:
skencil update
(Portage version: 2.1.5)
Revision Changes Path
1.30 media-gfx/skencil/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/ChangeLog?rev=1.30&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/ChangeLog?rev=1.30&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/ChangeLog?r1=1.29&r2=1.30
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/skencil/ChangeLog,v
retrieving revision 1.29
retrieving revision 1.30
diff -u -r1.29 -r1.30
--- ChangeLog 9 May 2007 05:07:05 -0000 1.29
+++ ChangeLog 19 May 2008 00:21:18 -0000 1.30
@@ -1,6 +1,12 @@
# ChangeLog for media-gfx/skencil
-# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/ChangeLog,v 1.29 2007/05/09 05:07:05 hanno Exp $
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/ChangeLog,v 1.30 2008/05/19 00:21:18 hanno Exp $
+
+*skencil-0.6.18_pre20080519 (19 May 2008)
+
+ 19 May 2008; Hanno Boeck <hanno@g.o>
+ +files/skencil-0.6.17-setup.py.patch, +skencil-0.6.18_pre20080519.ebuild:
+ Bump, fix building with tcl/tk 8.5, fix another build error.
09 May 2007; Hanno Boeck <hanno@g.o>
+files/skencil-configure-without-nls.diff,
1.4 media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild?r1=1.3&r2=1.4
Index: skencil-0.6.18_pre20070421.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- skencil-0.6.18_pre20070421.ebuild 9 May 2007 05:07:05 -0000 1.3
+++ skencil-0.6.18_pre20070421.ebuild 19 May 2008 00:21:18 -0000 1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild,v 1.3 2007/05/09 05:07:05 hanno Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20070421.ebuild,v 1.4 2008/05/19 00:21:18 hanno Exp $
inherit python multilib eutils
@@ -25,15 +25,15 @@
src_unpack() {
unpack ${A}
- cd ${S}
- epatch ${FILESDIR}/skencil-configure-without-nls.diff
+ cd "${S}"
+ epatch "${FILESDIR}/skencil-configure-without-nls.diff"
# Fix hardcoded libdir
sed -i -e "s:lib/:$(get_libdir)/:" \
-e "s:lib':$(get_libdir)':" \
- ${S}/{Pax,Filter,Sketch/Modules}/Makefile.pre.in \
- ${S}/Plugins/Objects/Lib/multilinetext/{TextEditor,styletext}.py \
- ${S}/setup.py || die "sed failed"
+ "${S}"/{Pax,Filter,Sketch/Modules}/Makefile.pre.in \
+ "${S}"/Plugins/Objects/Lib/multilinetext/{TextEditor,styletext}.py \
+ "${S}"/setup.py || die "sed failed"
}
src_compile() {
1.12 media-gfx/skencil/skencil-0.6.17.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.17.ebuild?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.17.ebuild?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.17.ebuild?r1=1.11&r2=1.12
Index: skencil-0.6.17.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.17.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- skencil-0.6.17.ebuild 5 Feb 2007 20:22:35 -0000 1.11
+++ skencil-0.6.17.ebuild 19 May 2008 00:21:18 -0000 1.12
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.17.ebuild,v 1.11 2007/02/05 20:22:35 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.17.ebuild,v 1.12 2008/05/19 00:21:18 hanno Exp $
inherit python multilib
@@ -28,9 +28,9 @@
if [ $(get_libdir) != "lib" ] ; then
sed -i -e "s:lib/:$(get_libdir)/:" \
-e "s:lib':$(get_libdir)':" \
- ${S}/{Pax,Filter,Sketch/Modules}/Makefile.pre.in \
- ${S}/Plugins/Objects/Lib/multilinetext/{TextEditor,styletext}.py \
- ${S}/setup.py || die "sed failed"
+ "${S}"/{Pax,Filter,Sketch/Modules}/Makefile.pre.in \
+ "${S}"/Plugins/Objects/Lib/multilinetext/{TextEditor,styletext}.py \
+ "${S}"/setup.py || die "sed failed"
fi
}
@@ -41,7 +41,7 @@
}
src_install () {
- ./setup.py install --prefix=/usr --dest-dir=${D}
+ ./setup.py install --prefix=/usr --dest-dir="${D}"
assert "setup.py install failed"
newdoc Pax/README README.pax
1.1 media-gfx/skencil/skencil-0.6.18_pre20080519.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20080519.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20080519.ebuild?rev=1.1&content-type=text/plain
Index: skencil-0.6.18_pre20080519.ebuild
===================================================================
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/skencil/skencil-0.6.18_pre20080519.ebuild,v 1.1 2008/05/19 00:21:18 hanno Exp $
inherit python multilib eutils
IUSE="nls"
S=${WORKDIR}/${PN}-0.6
DESCRIPTION="Interactive X11 vector drawing program"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
HOMEPAGE="http://www.skencil.org/"
DEPEND=">=dev-python/imaging-1.1.2-r1
dev-python/reportlab
dev-lang/tk
nls? ( sys-devel/gettext )"
RDEPEND="!elibc_glibc? ( nls? ( sys-devel/gettext ) )
dev-python/pyxml"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
pkg_setup() {
python_tkinter_exists
}
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}/skencil-configure-without-nls.diff"
epatch "${FILESDIR}/skencil-0.6.17-setup.py.patch"
# Fix hardcoded libdir
sed -i -e "s:lib/:$(get_libdir)/:" \
-e "s:lib':$(get_libdir)':" \
"${S}"/{Pax,Filter,Sketch/Modules}/Makefile.pre.in \
"${S}"/Plugins/Objects/Lib/multilinetext/{TextEditor,styletext}.py \
"${S}"/setup.py || die "sed failed"
}
src_compile() {
./setup.py configure `use_with nls` || die
BLDSHARED='gcc -shared' ./setup.py build || die
}
src_install () {
./setup.py install --prefix=/usr --dest-dir="${D}"
assert "setup.py install failed"
newdoc Pax/README README.pax
newdoc Filter/README README.filter
dodoc Examples Doc Misc
dodoc README INSTALL BUGS CREDITS TODO PROJECTS FAQ NEWS
}
--
gentoo-commits@g.o mailing list
|